#!/bin/sh

export ARCH=arm
export CROSS_COMPILE=arm-none-linux-gnueabi-
export PATH=${PATH}:/opt/arm-2009q1/bin
echo Checking fs
fsck -Ta /dev/sdb1
fsck -Ta /dev/sdb2

echo Mounting SD card
mount /dev/sdb1 /media/boot
mount /dev/sdb2 /media/rootfs
echo NOT installing modules
echo Installing modules in /
#gmake modules_install INSTALL_MOD_PATH=/media/rootfs
echo Copying uImage to /boot/
cp arch/arm/boot/uImage /media/boot/
echo Copying modules \(Libertas, SMSC911x\)
cp drivers/net/wireless/libertas/libertas_sdio.ko /media/rootfs/boot/
#cp drivers/net/wireless/libertas/libertas.ko /media/rootfs/boot/
cp drivers/net/smsc911x.ko /media/rootfs/boot/
echo Unmounting SD card
sync
umount /media/boot
umount /media/rootfs

if [ -f /media/boot/uImage ]
then
	echo WARNING: uImage copied to fs, not SD card!? Mount failure?
	rm -f /media/boot/uImage
fi

